Summary: An X Window System graphical chessboard
Name: xboard
Version: 4.7.1
Release: 1
Group: Amusements/Games
URL: http://www.tim-mann.org/xboard.html
Source0: ftp://ftp.gnu.org/pub/gnu/xboard/%{name}-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/pub/gnu/xboard/%{name}-%{version}.tar.gz.sig
Source2: chess.png
Source3: %{name}.desktop
Patch0: %{name}-%{version}-aix.patch
License: GPLv2+
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gettext
BuildRequires: texinfo
BuildRequires: cairo-devel >= 1.10.0-3
BuildRequires: glib2-devel >= 2.24.2-1
BuildRequires: gtk2-devel >= 2.20.1-2
BuildRequires: librsvg2-devel >= 2.26.0-3
BuildRequires: libXpm-devel >= 3.5.7-4
BuildRequires: pango-devel >= 1.24.5-1
Requires: gettext
Requires: gnuchess
Requires: info
Requires: cairo >= 1.10.0-3
Requires: gtk2 >= 2.20.1-2
Requires: glib2 >= 2.24.2-1
Requires: librsvg2 >= 2.26.0-3
Requires: libXpm >= 3.5.7-4
Requires: pango >= 1.24.5-1

%description
Xboard is an X Window System based graphical chessboard which can be
used with the GNU chess and Crafty chess programs, with Internet Chess
Servers (ICSs), with chess via email, or with your own saved games.

Install the xboard package if you need a graphical chessboard.


%prep
%setup -q 
%patch0


%build
export CC=xlc_r
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --enable-zippy \
    --enable-sigint \
    --with-x \
    --with-gtk \
    --without-Xaw \
    --without-Xaw3d
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip -9 ${RPM_BUILD_ROOT}%{_infodir}/*.info

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
chmod 0644 ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info --quiet --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz || :


%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --quiet --info-dir=%{_infodir} --delete %{_infodir}/%{name}.info.gz || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc COPYING COPYRIGHT AUTHORS TODO NEWS README FAQ.html ics-parsing.txt
%doc engine-intf.html zippy.README 
%{_bindir}/*
%{_mandir}/man6/*
%{_infodir}/*.info*
%{_datadir}/icons/hicolor/48x48/apps/%{name}*
%{_datadir}/icons/hicolor/scalable/apps/%{name}*
%{_datadir}/pixmaps/chess.png
/usr/bin/*


%changelog
* Mon May 06 2013 Michael Perzl <michael@perzl.org> - 4.7.1-1
- updated to version 4.7.1

* Thu Feb 21 2013 Michael Perzl <michael@perzl.org> - 4.7.0-1
- updated to version 4.7.0

* Wed Apr 18 2012 Michael Perzl <michael@perzl.org> - 4.6.2-1
- updated to version 4.6.2

* Mon Apr 16 2012 Michael Perzl <michael@perzl.org> - 4.6.1-1
- updated to version 4.6.1

* Mon Mar 12 2012 Michael Perzl <michael@perzl.org> - 4.6.0-1
- updated to version 4.6.0

* Fri Oct 28 2011 Michael Perzl <michael@perzl.org> - 4.5.3a-1
- updated to version 4.5.3a

* Sun Oct 02 2011 Michael Perzl <michael@perzl.org> - 4.5.3-1
- updated to version 4.5.3

* Mon May 02 2011 Michael Perzl <michael@perzl.org> - 4.5.2a-1
- updated to version 4.5.2a

* Tue Apr 26 2011 Michael Perzl <michael@perzl.org> - 4.5.2-1
- updated to version 4.5.2

* Mon Feb 21 2011 Michael Perzl <michael@perzl.org> - 4.5.1-1
- updated to version 4.5.1

* Wed Feb 02 2011 Michael Perzl <michael@perzl.org> - 4.5.0-1
- updated to version 4.5.0

* Thu Aug 19 2010 Michael Perzl <michael@perzl.org> - 4.4.4-1
- updated to version 4.4.4

* Wed Apr 07 2010 Michael Perzl <michael@perzl.org> - 4.4.3-1
- updated to version 4.4.3

* Wed Dec 16 2009 Michael Perzl <michael@perzl.org> - 4.4.2-1
- first version for AIX V5.1 and higher
